uniform mat4	uniModelViewProjectionMatrix;

in vec2			atrPosition;
in vec2			atrTextureCoordinates;
in vec4			atrColor;	//	premultiplied alpha

out vec2		varTextureCoordinates;
out vec4		varColor;	//	premultiplied alpha

void main()
{
	gl_Position				= uniModelViewProjectionMatrix * vec4(atrPosition, 1.0, 1.0);
	varTextureCoordinates	= atrTextureCoordinates;
	varColor				= atrColor;
}
